## ocaml-ffmpeg 0.3.0

=== examples/Makefile ===
DIRS = $(filter-out ./.git, $(shell find . -mindepth 1 -maxdepth 1 -type d))

all:
	for i in $(DIRS); do $(MAKE) -C $$i || exit 1; done

clean:
	for i in $(DIRS); do $(MAKE) -C $$i $@; done

test: all
	$(MAKE) -C encode_audio $@
	$(MAKE) -C encode_video $@
	$(MAKE) -C encoding $@
	$(MAKE) -C decode_audio $@
	$(MAKE) -C decode_stream $@
	$(MAKE) -C audio_decoding $@
	$(MAKE) -C remuxing $@
	$(MAKE) -C transcode_aac $@
	$(MAKE) -C transcoding $@
	$(MAKE) -C demuxing_decoding $@

interactive-test:
	$(MAKE) -C audio_device $@
	$(MAKE) -C player $@

=== debian/changelog ===
ocaml-ffmpeg (0.3.0-1) unstable; urgency=medium

  * New upstream version 0.3.0
  * Drop upstreamed patches

 -- Kyle Robbertze <paddatrapper@debian.org>  Fri, 23 Aug 2019 11:50:29 +0200

ocaml-ffmpeg (0.2.1-3) unstable; urgency=medium

  * -dev package depend on ffmpeg development packages
  * Add libacdevice support

 -- Kyle Robbertze <paddatrapper@debian.org>  Mon, 19 Aug 2019 09:59:16 +0200

ocaml-ffmpeg (0.2.1-2) unstable; urgency=medium

  * Fix compilation on bytecode architectures (Closes: #934506)

 -- Kyle Robbertze <paddatrapper@debian.org>  Wed, 14 Aug 2019 00:31:18 +0200

ocaml-ffmpeg (0.2.1-1) unstable; urgency=medium

  * Update Standards-Version to 4.4.0 (no change)
  * Bump compat to version 12

 -- Kyle Robbertze <paddatrapper@debian.org>  Sun, 11 Aug 2019 13:09:12 +0200

ocaml-ffmpeg (0.2.1-1~exp1) experimental; urgency=medium

  * Initial release (Closes: #931089)

 -- Kyle Robbertze <paddatrapper@debian.org>  Sun, 14 Jul 2019 12:00:06 +0200

=== debian/control ===
Source: ocaml-ffmpeg
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Kyle Robbertze <paddatrapper@debian.org>
Build-Depends: debhelper (>= 12),
               debhelper-compat (=12),
               dh-ocaml (>= 0.9),
               libavcodec-dev,
               libavdevice-dev,
               libavformat-dev,
               libavutil-dev,
               libswscale-dev,
               ocaml-findlib (>= 1.2.4),
               ocaml-nox,
               pkg-config
Standards-Version: 4.4.0
Homepage: https://github.com/savonet/ocaml-ffmpeg
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-ffmpeg
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-ffmpeg.git

Package: libffmpeg-ocaml
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
Provides: ${ocaml:Provides}
Description: OCaml interface for FFmpeg -- runtime files
 The modules currently available are:
 Av: the module containing demuxers and muxers for reading and
 writing multimedia container formats.
 Avcodec: the module containing decoders and encoders for audio,
 video and subtitle codecs.
 Swresample: the module performing audio resampling, rematrixing
 and sample format conversion operations.
 Swscale: the module performing image scaling and color
 space/pixel format conversion operations.
 Avdevice: the module containing input and output devices for
 grabbing from and rendering to many common multimedia
 input/output software frameworks.
 .
 This package contains only the shared runtime stub libraries

Package: libffmpeg-ocaml-dev
Architecture: any
Depends: libavcodec-dev,
         libavdevice-dev,
         libavformat-dev,
         libavutil-dev,
         libffmpeg-ocaml (= ${binary:Version}),
         libswscale-dev,
         ocaml-findlib,
         ${misc:Depends},
         ${ocaml:Depends},
         ${shlibs:Depends}
Provides: ${ocaml:Provides}
Description: OCaml interface for FFmpeg -- development files
 The modules currently available are:
 Av: the module containing demuxers and muxers for reading and
 writing multimedia container formats.
 Avcodec: the module containing decoders and encoders for audio,
 video and subtitle codecs.
 Swresample: the module performing audio resampling, rematrixing
 and sample format conversion operations.
 Swscale: the module performing image scaling and color
 space/pixel format conversion operations.
 Avdevice: the module containing input and output devices for
 grabbing from and rendering to many common multimedia
 input/output software frameworks.
 .
 This package contains all the development stuff you need to develop
 OCaml programs whcich use ocaml-ffmpeg.

## ocaml-ffmpeg 0.4.1

=== test/Makefile ===
SOURCES = resample.ml info.ml test.ml
RESULT = test
LIBS = bigarray ffmpeg

INCDIRS = ../src
THREADS = yes
TRASH = *.raw *.flac *.ogg *.mp4 *.mkv


test: nc
	./test ../examples/decode_audio/A4.ogg ../examples/transcode_aac/A4.mp4 ../examples/encoding/out.mkv

include OCamlMakefile

=== examples/audio_decoding/Makefile ===
SOURCES = audio_decoding.ml
RESULT = audio_decoding
LIBS = bigarray ffmpeg

INCDIRS = ../../src
THREADS = yes
TRASH = *.raw *.flac *.ogg *.mp4 *.mkv

all: nc

test: all
	./audio_decoding ../decode_audio/A4.ogg A4
	./audio_decoding ../encoding/out.mkv out

include OCamlMakefile

=== examples/audio_device/Makefile ===
SOURCES = audio_device.ml
RESULT = audio_device
LIBS = bigarray ffmpeg

INCDIRS = ../../src
THREADS = yes
TRASH = *.raw *.flac *.ogg *.mp4 *.mkv

all: dc

test: all
	./audio_device
	./audio_device http://37.187.70.49:80/canalb
	./audio_device http://stream0.wfmu.org/freeform-128k wfmu.flac


include OCamlMakefile

=== examples/demuxing_decoding/Makefile ===
SOURCES = demuxing_decoding.ml
RESULT = demuxing_decoding
LIBS = bigarray ffmpeg

INCDIRS = ../../src
THREADS = yes
TRASH = *.raw *.flac *.ogg *.mp4 *.mkv

all: nc

test: all
	./demuxing_decoding ../encoding/out.mkv vo.raw ao.raw

include OCamlMakefile

=== examples/encode_audio/Makefile ===
SOURCES = encode_audio.ml
RESULT = encode_audio
LIBS = bigarray ffmpeg

INCDIRS = ../../src
THREADS = yes
TRASH = *.raw *.flac *.ogg *.mp2 *.mp4 *.mkv

all: nc

test: all
	./encode_audio A4.flac flac
	./encode_audio A4.mp2 mp2

include OCamlMakefile

=== examples/encode_stream/Makefile ===
SOURCES = encode_stream.ml
RESULT = encode_stream
LIBS = bigarray ffmpeg

INCDIRS = ../../src
THREADS = yes
TRASH = *.raw *.flac *.ogg *.mp2 *.mp4 *.mkv

all: nc

test: all
	./encode_stream A4.flac flac
	./encode_stream A4.mp2 mp2

include OCamlMakefile

=== examples/encode_video/Makefile ===
SOURCES = encode_video.ml
RESULT = encode_video
LIBS = bigarray ffmpeg

INCDIRS = ../../src
THREADS = yes
CFLAGS = -O3
OCAMLFLAGS = -unsafe -inline 100 -noassert
TRASH = *.raw *.flac *.ogg *.mp4 *.mkv

all: nc

test: all
	./encode_video video.ogg libtheora

include OCamlMakefile

=== examples/encoding/Makefile ===
SOURCES = encoding.ml
RESULT = encoding
LIBS = bigarray ffmpeg

INCDIRS = ../../src
THREADS = yes
CFLAGS = -O3
OCAMLFLAGS = -unsafe -inline 10 -noassert
TRASH = *.raw *.flac *.ogg *.mp4 *.mkv

all: nc

test: all
	./encoding out.mkv aac mpeg4 ass

include OCamlMakefile

=== examples/player/Makefile ===
SOURCES = player.ml
RESULT = player
LIBS = bigarray ffmpeg

INCDIRS = ../../src
THREADS = yes

all: nc

test: all
	./player ../encoding/out.mkv
	./player ../transcoding/out.mp4


include OCamlMakefile

=== examples/read_metadata/Makefile ===
SOURCES = read_metadata.ml
RESULT = read_metadata
LIBS = bigarray ffmpeg

INCDIRS = ../../src
THREADS = yes
TRASH = *.raw *.flac *.ogg *.mp3 *.mp4 *.mkv

all: nc

test: all
	./read_metadata ../encode_audio/A4.flac flac A4.mp3 libmp3lame
	./read_metadata ../encode_audio/A4.mp2 mp2 A4.ogg libvorbis


include OCamlMakefile

=== examples/transcode_aac/Makefile ===
SOURCES = transcode_aac.ml
RESULT = transcode_aac
LIBS = bigarray ffmpeg

INCDIRS = ../../src
THREADS = yes
TRASH = *.raw *.flac *.ogg *.mp4 *.mkv

all: nc

test: all
	./transcode_aac ../decode_audio/A4.ogg A4.mp4

include OCamlMakefile

=== debian/changelog ===
ocaml-ffmpeg (0.4.1-1build1) focal; urgency=medium

  * No change rebuild against new ocaml ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 21 Feb 2020 01:32:12 +0000

ocaml-ffmpeg (0.4.1-1) unstable; urgency=medium

  * New upstream version 0.4.1
  * Bump standards-version to 4.4.1 (no change)

 -- Kyle Robbertze <paddatrapper@debian.org>  Tue, 01 Oct 2019 18:53:38 +0200

ocaml-ffmpeg (0.4.0-1) unstable; urgency=medium

  * New upstream version 0.4.0

 -- Kyle Robbertze <paddatrapper@debian.org>  Wed, 25 Sep 2019 18:08:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ocaml-ffmpeg
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Kyle Robbertze <paddatrapper@debian.org>
 Build-Depends: debhelper (>= 12),
                debhelper-compat (=12),
@@ -14,7 +15,7 @@
                ocaml-findlib (>= 1.2.4),
                ocaml-nox,
                pkg-config
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/savonet/ocaml-ffmpeg
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-ffmpeg
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-ffmpeg.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/ocaml/ocamlvars.mk

DESTDIR := $(CURDIR)/debian/tmp
export OCAMLFIND_DESTDIR=$(DESTDIR)$(OCAML_STDLIB_DIR)
export PKG_CONFIG_PATH=/usr/lib/$(DEB_BUILD_ARCH)/pkgconfig
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with ocaml

override_dh_autoreconf:
	./bootstrap

override_dh_auto_build:
	[ -f debian/autoreconf.before ] || dh_autoreconf ./bootstrap
	$(MAKE) all doc

override_dh_auto_install:
	mkdir -p $(DESTDIR)/$(OCAML_STDLIB_DIR)
	$(MAKE) install DESTDIR=$(DESTDIR) \
		prefix=$(DESTDIR)/usr sysconfdir=$(DESTDIR)/etc \
		OCAMLFIND_LDCONF=ignore
	dh_install

override_dh_auto_test:
	true

override_dh_auto_clean:
	dh_autoreconf_clean
	rm -rf autodoc aclocal.m4 src/META
	dh_clean

=== debian/watch ===
version=4
https://github.com/savonet/ocaml-ffmpeg/releases .*/ocaml-ffmpeg-(.*)\.tar\.gz

## ocaml-ffmpeg 0.4.3

=== examples/Makefile ===
--- 
+++ 
@@ -9,6 +9,7 @@
 test: all
 	$(MAKE) -C encode_audio $@
 	$(MAKE) -C encode_video $@
+	$(MAKE) -C encode_stream $@
 	$(MAKE) -C encoding $@
 	$(MAKE) -C decode_audio $@
 	$(MAKE) -C decode_stream $@
@@ -17,6 +18,7 @@
 	$(MAKE) -C transcode_aac $@
 	$(MAKE) -C transcoding $@
 	$(MAKE) -C demuxing_decoding $@
+	$(MAKE) -C read_metadata $@
 
 interactive-test:
 	$(MAKE) -C audio_device $@

=== examples/decode_audio/Makefile ===
SOURCES = decode_audio.ml
RESULT = decode_audio
LIBS = bigarray ffmpeg

INCDIRS = ../../src
THREADS = yes
TRASH = *.raw *.flac *.ogg *.mp3 *.mp4 *.mkv

all: nc

test: all
	./decode_audio ../encode_audio/A4.flac flac A4.mp3 libmp3lame
	./decode_audio ../encode_audio/A4.mp2 mp2 A4.ogg libvorbis


include OCamlMakefile

=== examples/decode_stream/Makefile ===
SOURCES = decode_stream.ml
RESULT = decode_stream
LIBS = bigarray ffmpeg
OCAMLFLAGS = -g

INCDIRS = ../../src
THREADS = yes
TRASH = *.raw *.flac *.ogg *.mp3 *.mp4 *.mkv

all: nc

test: all
	./decode_stream ../encode_audio/A4.flac A4.mp3 libmp3lame
	./decode_stream ../encode_audio/A4.mp2 A4.ogg libvorbis


include OCamlMakefile

=== examples/remuxing/Makefile ===
SOURCES = remuxing.ml
RESULT = remuxing
LIBS = bigarray ffmpeg

INCDIRS = ../../src
THREADS = yes
TRASH = *.raw *.flac *.ogg *.mp4 *.mkv

all: nc

test: all
	./remuxing ../encoding/out.mkv out.mp4


include OCamlMakefile

=== examples/transcoding/Makefile ===
SOURCES = transcoding.ml
RESULT = transcoding
LIBS = bigarray ffmpeg

INCDIRS = ../../src
THREADS = yes
TRASH = *.raw *.flac *.ogg *.mp4 *.mkv

all: nc

test: all
	./transcoding ../encoding/out.mkv out.mp4

include OCamlMakefile

=== debian/changelog ===
ocaml-ffmpeg (0.4.3-1) unstable; urgency=medium

  * New upstream version 0.4.3

 -- Kyle Robbertze <paddatrapper@debian.org>  Mon, 07 Sep 2020 18:05:28 +0200

ocaml-ffmpeg (0.4.2-1) unstable; urgency=high

  * New upstream version 0.4.2 (Closes: #963360)
  * Bump Standards-Version to 4.5.0 (Rules-requires-root)
  * Bump compat to 13

 -- Kyle Robbertze <paddatrapper@debian.org>  Wed, 08 Jul 2020 22:58:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: ocaml-ffmpeg
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Kyle Robbertze <paddatrapper@debian.org>
-Build-Depends: debhelper (>= 12),
-               debhelper-compat (=12),
+Build-Depends: debhelper-compat (=13),
                dh-ocaml (>= 0.9),
                libavcodec-dev,
                libavdevice-dev,
@@ -15,10 +13,11 @@
                ocaml-findlib (>= 1.2.4),
                ocaml-nox,
                pkg-config
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/savonet/ocaml-ffmpeg
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-ffmpeg
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-ffmpeg.git
+Rules-Requires-Root: no
 
 Package: libffmpeg-ocaml
 Architecture: any

## ocaml-ffmpeg 1.1.1

=== debian/changelog ===
ocaml-ffmpeg (1.1.1-1build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Jan 2022 17:20:58 +0100

ocaml-ffmpeg (1.1.1-1) unstable; urgency=medium

  * New upstream version 1.1.1

 -- Kyle Robbertze <paddatrapper@debian.org>  Wed, 05 Jan 2022 11:52:57 +0200

ocaml-ffmpeg (1.1.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database,
    Bug-Submit, Repository, Repository-Browse.
  * Update standards version to 4.5.1, no changes needed.

  [ Kyle Robbertze ]
  * Update d/watch to use new upstream artifact naming
  * New upstream version 1.1.0
  * Use dune as the build system

 -- Kyle Robbertze <paddatrapper@debian.org>  Wed, 01 Dec 2021 09:12:40 +0200

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,18 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Kyle Robbertze <paddatrapper@debian.org>
 Build-Depends: debhelper-compat (=13),
+               ocaml-dune (>= 2.8.0),
                dh-ocaml (>= 0.9),
                libavcodec-dev,
                libavdevice-dev,
                libavformat-dev,
                libavutil-dev,
                libswscale-dev,
+               libdune-ocaml-dev,
                ocaml-findlib (>= 1.2.4),
                ocaml-nox,
                pkg-config
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/savonet/ocaml-ffmpeg
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-ffmpeg
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-ffmpeg.git

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

DESTDIR := $(CURDIR)/debian/tmp

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)

## ocaml-ffmpeg 1.1.4

=== debian/changelog ===
ocaml-ffmpeg (1.1.4-1build1) kinetic; urgency=medium

  * No-change rebuild against libavcodec59

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Jul 2022 13:00:53 +0000

ocaml-ffmpeg (1.1.4-1) unstable; urgency=medium

  * New upstream version 1.1.4

 -- Kyle Robbertze <paddatrapper@debian.org>  Tue, 12 Jul 2022 20:05:13 +0200

ocaml-ffmpeg (1.1.3-1) unstable; urgency=medium

  * New upstream version 1.1.3
  * Bump standards-version to 4.6.1 (no change)

 -- Kyle Robbertze <paddatrapper@debian.org>  Fri, 27 May 2022 16:55:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ocaml-ffmpeg
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Kyle Robbertze <paddatrapper@debian.org>
 Build-Depends: debhelper-compat (=13),
                ocaml-dune (>= 2.8.0),
@@ -15,7 +16,7 @@
                ocaml-findlib (>= 1.2.4),
                ocaml-nox,
                pkg-config
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: https://github.com/savonet/ocaml-ffmpeg
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-ffmpeg
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-ffmpeg.git

## ocaml-ffmpeg 1.1.6

=== debian/changelog ===
ocaml-ffmpeg (1.1.6-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)
  * Update lintian override info to new format on line 2, 2.

 -- Kyle Robbertze <paddatrapper@debian.org>  Sun, 13 Nov 2022 14:12:43 +0200

ocaml-ffmpeg (1.1.6-1) unstable; urgency=medium

  * New upstream version 1.1.6

 -- Kyle Robbertze <paddatrapper@debian.org>  Tue, 27 Sep 2022 11:06:01 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: ocaml-ffmpeg
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Kyle Robbertze <paddatrapper@debian.org>
-Build-Depends: debhelper-compat (=13),
+Build-Depends: debhelper-compat (= 13),
                ocaml-dune (>= 2.8.0),
-               dh-ocaml (>= 0.9),
+               dh-ocaml,
                libavcodec-dev,
                libavdevice-dev,
                libavformat-dev,
                libavutil-dev,
                libswscale-dev,
                libdune-ocaml-dev,
-               ocaml-findlib (>= 1.2.4),
+               ocaml-findlib,
                ocaml-nox,
                pkg-config
 Standards-Version: 4.6.1

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@@ARCHIVE_EXT@%@PACKAGE@-$1.tar.gz%" \
    https://github.com/savonet/ocaml-ffmpeg/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## ocaml-ffmpeg 1.1.8

=== debian/changelog ===
ocaml-ffmpeg (1.1.8-2build1) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 19 Aug 2023 00:19:36 +0200

ocaml-ffmpeg (1.1.8-2) unstable; urgency=medium

  * Team upload
  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Thu, 17 Aug 2023 09:27:28 +0200

ocaml-ffmpeg (1.1.8-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sun, 16 Jul 2023 11:58:07 +0200

ocaml-ffmpeg (1.1.6-3) unstable; urgency=medium

  * Team upload
  * Fix build with recent dune

 -- Stéphane Glondu <glondu@debian.org>  Sun, 16 Jul 2023 08:26:51 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Kyle Robbertze <paddatrapper@debian.org>
 Build-Depends: debhelper-compat (= 13),
                ocaml-dune (>= 2.8.0),
-               dh-ocaml,
+               dh-ocaml (>= 1.2.2),
                libavcodec-dev,
                libavdevice-dev,
                libavformat-dev,
@@ -13,7 +13,7 @@
                libswscale-dev,
                libdune-ocaml-dev,
                ocaml-findlib,
-               ocaml-nox,
+               ocaml,
                pkg-config
 Standards-Version: 4.6.1
 Homepage: https://github.com/savonet/ocaml-ffmpeg

## ocaml-ffmpeg 1.1.11

=== debian/changelog ===
ocaml-ffmpeg (1.1.11-1) unstable; urgency=medium

  * New upstream version 1.1.11

 -- Kyle Robbertze <paddatrapper@debian.org>  Sat, 06 Apr 2024 09:45:08 +0100

ocaml-ffmpeg (1.1.10-1) unstable; urgency=medium

  * New upstream version 1.1.10

 -- Kyle Robbertze <paddatrapper@debian.org>  Thu, 18 Jan 2024 13:33:09 +0000

ocaml-ffmpeg (1.1.9-1) unstable; urgency=medium

  * New upstream version 1.1.9
  * Bump Standards-Version to 4.6.2 (no change)

 -- Kyle Robbertze <paddatrapper@debian.org>  Thu, 23 Nov 2023 11:26:23 +0000

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                ocaml-findlib,
                ocaml,
                pkg-config
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/savonet/ocaml-ffmpeg
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-ffmpeg
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-ffmpeg.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml --buildsystem ocaml_dune

override_dh_auto_test:
# Tests are somehow broken

## ocaml-ffmpeg 1.2.0

=== debian/changelog ===
ocaml-ffmpeg (1.2.0-2) unstable; urgency=medium

  * Enable unit tests and autopkgtests

 -- Kyle Robbertze <paddatrapper@debian.org>  Sun, 27 Oct 2024 00:17:53 +0100

ocaml-ffmpeg (1.2.0-1) unstable; urgency=medium

  * Update dependencies
  * Bump Standards-Version to 4.7.0 (no change)
  * New upstream version 1.2.0
  * Go back to watching for tagged releases

 -- Kyle Robbertze <paddatrapper@debian.org>  Sat, 28 Sep 2024 22:08:21 +0100

## ocaml-ffmpeg 1.2.1

=== debian/changelog ===
ocaml-ffmpeg (1.2.1-1) unstable; urgency=medium

  * New upstream version 1.2.1
  * Do not cache autopkgtest runs

 -- Kyle Robbertze <paddatrapper@debian.org>  Tue, 07 Jan 2025 07:03:31 +0000

## ocaml-ffmpeg 1.2.2

=== debian/changelog ===
ocaml-ffmpeg (1.2.2-1build1) plucky; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Mar 2025 08:41:13 +0100

ocaml-ffmpeg (1.2.2-1) unstable; urgency=medium

  * New upstream version 1.2.2

 -- Kyle Robbertze <paddatrapper@debian.org>  Tue, 18 Feb 2025 10:51:19 +0000

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
                libdune-ocaml-dev,
                ocaml-findlib,
                ocaml,
-               pkg-config
-Standards-Version: 4.6.2
+               pkgconf
+Standards-Version: 4.7.0
 Homepage: https://github.com/savonet/ocaml-ffmpeg
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-ffmpeg
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-ffmpeg.git

=== debian/tests/control ===
Tests: upstream
Depends: @, ocaml-dune

## ocaml-ffmpeg 1.2.4

=== debian/changelog ===
ocaml-ffmpeg (1.2.4-1build2) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 02 Jul 2025 06:17:58 +0200

ocaml-ffmpeg (1.2.4-1build1) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Jun 2025 14:57:11 +0200

ocaml-ffmpeg (1.2.4-1) unstable; urgency=medium

  * New upstream version 1.2.4

 -- Kyle Robbertze <paddatrapper@debian.org>  Thu, 17 Apr 2025 21:01:49 +0100

ocaml-ffmpeg (1.2.3-1) unstable; urgency=medium

  * New upstream version 1.2.3

 -- Kyle Robbertze <paddatrapper@debian.org>  Mon, 14 Apr 2025 10:03:17 +0100

## ocaml-ffmpeg 1.2.6

=== debian/changelog ===
ocaml-ffmpeg (1.2.6-1build3) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 03 Nov 2025 17:41:56 +0100

ocaml-ffmpeg (1.2.6-1build2) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 01 Nov 2025 08:56:33 +0100

ocaml-ffmpeg (1.2.6-1build1) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 28 Oct 2025 20:49:50 +0100

ocaml-ffmpeg (1.2.6-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Thu, 11 Sep 2025 09:25:39 +0200

=== debian/tests/control ===
Tests: upstream
Depends: ocaml-dune, @

## ocaml-ffmpeg 1.2.7

=== debian/changelog ===
ocaml-ffmpeg (1.2.7-1build3) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 28 Dec 2025 21:58:21 +0100

ocaml-ffmpeg (1.2.7-1build2) resolute; urgency=medium

  * No-change rebuild for ffmpeg 8.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Dec 2025 11:05:44 +0000

ocaml-ffmpeg (1.2.7-1build1) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 06 Nov 2025 08:48:58 +0100

ocaml-ffmpeg (1.2.7-1) unstable; urgency=medium

  * New upstream version 1.2.7
  * Bump Standards-Version to 4.7.2 (no change)

 -- Kyle Robbertze <paddatrapper@debian.org>  Tue, 04 Nov 2025 13:30:55 +0000

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: ocaml-ffmpeg
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Kyle Robbertze <paddatrapper@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               ocaml-dune (>= 2.8.0),
                dh-ocaml (>= 1.2.2),
                libavcodec-dev,
                libavdevice-dev,
                libavformat-dev,
                libavutil-dev,
+               libdune-ocaml-dev,
                libswscale-dev,
-               libdune-ocaml-dev,
+               ocaml,
+               ocaml-dune (>= 2.8.0),
                ocaml-findlib,
-               ocaml,
                pkgconf
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/savonet/ocaml-ffmpeg
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-ffmpeg
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-ffmpeg.git
